<back to all web services

RetryTranslation

The following routes are available for this service:
POST/RestApi/translations/retry

export enum TranslationStatus
{
    Marked = 101,
    Sending = 201,
    Sent = 202,
    Received = 301,
    Importing = 302,
    Imported = 303,
    Completed = 304,
    Archived = 401,
    Deleted = 402,
    Rejected = 403,
    SendingError = 501,
    ImportingError = 502,
    ReceivingError = 503,
}

export class RetryTranslation
{
    public TranslationStatus: TranslationStatus;
    public Ids: string[];
    public ChangedFieldsOnly: boolean;

    public constructor(init?: Partial<RetryTranslation>) { (Object as any).assign(this, init); }
}

TypeScript RetryTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/retry HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"TranslationStatus":"Marked","Ids":["00000000-0000-0000-0000-000000000000"],"ChangedFieldsOnly":false}